<inp2:adm_SetPopupSize width="900" height="680"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-bulletin:polls" prefix="poll" title_preset="poll_edit" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('poll','<inp2:poll_SaveEvent/>');
						}
					) );

				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('poll', 'OnCancelEdit','<inp2:poll_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton(
								new ToolBarButton(
									'prev',
									'<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>',
									function() {
										go_to_id('poll', '<inp2:poll_PrevId/>');
									}
								)
							);

							a_toolbar.AddButton(
								new ToolBarButton(
									'next',
									'<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>',
									function() {
										go_to_id('poll', '<inp2:poll_NextId/>');
									}
								)
							);

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );


				a_toolbar.AddButton( new ToolBarButton('reset', '<inp2:m_phrase label="la_ToolTip_ResetVotes" escape="1"/>', function() {
							submit_event('poll', 'OnResetVotes');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="poll_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="poll_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="poll_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>

			</script>

			<script src="js/swfobject.js" type="text/javascript"></script>
			<script type="text/javascript" src="js/uploader.js"></script>
		</td>
		
		<inp2:m_RenderElement name="ml_selector" prefix="poll"/>
	</tr>
</tbody>
</table>

<inp2:poll_SaveWarning name="grid_save_warning"/>
<inp2:poll_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="!la_section_General!"/>

			<inp2:m_RenderElement name="inp_label" prefix="poll" field="PollId" title="!la_fld_Id!"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="poll" field="Name" title="!la_fld_Name!" size="50"/>

			<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="poll" field="Question" title="!la_fld_Question!" control_options="{min_height: 100}" cols="70" rows="5"/>

			<inp2:m_RenderElement name="inp_edit_swf_upload" prefix="poll" field="Image" thumbnail="200x200" title="la_fld_Image"/>

		<inp2:m_RenderElement name="subsection" title="!la_section_Properties!"/>

			<inp2:m_RenderElement name="inp_edit_date_time" prefix="poll" field="CreatedOn" title="la_fld_CreatedOn"/>
			<inp2:m_RenderElement name="inp_edit_date_time" prefix="poll" field="StartDate" title="la_fld_StartDate"/>
			<inp2:m_RenderElement name="inp_edit_date_time" prefix="poll" field="EndDate" title="la_fld_EndDate"/>

			<inp2:m_RenderElement name="inp_edit_box" prefix="poll" field="Priority" title="!la_fld_Priority!" size="5"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="poll" field="RequireLogin" title="!la_fld_RequireLogin!"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="poll" field="AllowComments" title="!la_fld_AllowComments!"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="poll" field="AllowMultipleVotings" title="!la_fld_AllowMultipleVotings!"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="poll" field="CachedVotesQty" title="!la_fld_Votes!" size="5"/>

			<inp2:m_RenderElement name="inp_edit_options" prefix="poll" field="Status" title="la_fld_Status"/>
			<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>